NETWORK-IRQ-AFFINITY(8)

NAME
network-irq-affinity - Set CPU affinity for network interface IRQs

SYNOPSIS
network-irq-affinity [-hnv]

DESCRIPTION
The network-irq-affinity utility sets the CPU affinity of IRQs attached to network interfaces and network interface queues. The IRQs will be distributed across all the CPUs in an efficient manner.

The default CPU affinity configuration with many network drivers is to either schedule all IRQs to CPU 0, or across all CPUs. The former can overload the CPU, while the latter can suffer from CPU memory cache misses. Both cases can result in sub-par network performance.

The following options are recognized:

-h  Display a usage message, explaining these options.

-n  Do not make any changes to the system. This implies -v.

-v  Produce verbose output.

DIAGNOSTICS

SEE ALSO
taskset(1), sched_getaffinity(2), sched_setaffinity(2)

Homepage: https://github.com/suominen/network-irq-affinity

AUTHORS
Kimmo Suominen <kimmo@suominen.com>

BUGS
No known bugs.